#
# spec file for package ispell-hungarian
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ispell-hungarian
Version:        1.6.1
Release:        1.17
Summary:        Hungarian Ispell Dictionary
License:        GPL-2.0+ or LGPL-2.1+ or MPL-1.1
Group:          Productivity/Text/Spell
Url:            http://magyarispell.sourceforge.net/
Source:         https://downloads.sourceforge.net/magyarispell/magyarispell-%{version}.tar.gz
Source1:        magyar.el
Patch0:         magyarispell-1.2.diff
BuildRequires:  ispell
BuildRequires:  m4
Provides:       ispell_dictionary
Provides:       locale(ispell:hu)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the hungarian ispell dictionary.

%prep
%setup -q -n magyarispell-%{version}
%patch0

%build
make %{?_smp_mflags} ispell

%install
pushd tmp
install -Dm644 magyar.aff %{buildroot}%{_prefix}/lib/ispell/magyar.aff
ln -s magyar.aff %{buildroot}%{_prefix}/lib/ispell/hungarian.aff
install -m 644 magyar4ispell.hash %{buildroot}%{_prefix}/lib/ispell/magyar.hash
ln -s magyar.hash %{buildroot}%{_prefix}/lib/ispell/hungarian.hash
popd
install -Dm644 %{SOURCE1} %{buildroot}%{_prefix}/lib/ispell/emacs/magyar.el
ln -s magyar.el %{buildroot}%{_prefix}/lib/ispell/emacs/hungarian.el

%files
%defattr(-,root,root)
%doc COPYING* ChangeLog README
%lang(hu) %doc GYIK OLVASSEL
%{_prefix}/lib/ispell/emacs/*
%{_prefix}/lib/ispell/hungarian*
%{_prefix}/lib/ispell/magyar*

%changelog
* Sat Mar  4 2017 rpm@fthiessen.de
- Update to 1.6.1
  * Bugfixes
  * New words
- Use SourceURL
* Fri Mar 16 2012 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use UTF-8 encoding in description
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Mon Apr 14 2008 lmichnovic@suse.cz
- erased myspell-hungarian dictionary package which is now part
  of package myspell-dictionaries
* Fri Apr  4 2008 pmladek@suse.cz
- updated to version 1.3:
  * lots fixes; details are in ChangeLog (Hungarian only)
* Thu Jul 26 2007 pmladek@suse.cz
- updated to version 1.2:
  * lots fixes; details are in ChangeLog (Hungarian only)
* Mon Oct 23 2006 pmladek@suse.cz
- updated to version 1.1.1:
  * dual license (GPL, LGPL, MPL)
  * lots fixes; details are in ChangeLog (Hungarian only)
* Mon Mar 13 2006 pmladek@suse.cz
- created extra spec file for myspell-hungarian to get noarch package [#57117]
- removed obsolete recode from BuildRequires
* Fri Feb 24 2006 lmichnovic@suse.cz
- added Provides:     locale(ispell:hu)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 pmladek@suse.cz
- updated to version 1.0
- fixed build and installation
- added recode to BuildRequires; it is used now
* Wed Jul 20 2005 pmladek@suse.cz
- updated to version 1.0-RC2
- do not explicitly remove RPM_BUILD_ROOT in the %%%%install phase
* Wed Sep  1 2004 pmladek@suse.cz
- updated to version 0.99.4
- updated url, home page has moved to http://magyarispell.sourceforge.net/
- added documentation also to the package myspell-hungarian
* Tue Jun 29 2004 pmladek@suse.cz
- added triggerin and postun scripts to myspell-hungarian to solve links
  to OpenOffice_org; this solution replaces the old one with SuSEconfig
  and is usable in Ximian's products
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Aug 13 2003 varkoly@suse.de
- added missing provide myspell-dictionary to myspell-hungarian
  (fixes #26290)
* Fri Aug  8 2003 ro@suse.de
- spellhtml apparently no longer here
* Fri Aug  8 2003 varkoly@suse.de
- Updated to 0.99.3
- Changed myspell paths to /usr/share/myspell
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Tue Feb 18 2003 szenti@suse.de
- Updated to 0.9.4.
* Tue Aug 20 2002 pmladek@suse.cz
- .../share/dict/ooo is better location for myspell disctionaries
- removed OpenOffice_org-hu from myspell-hungarian Requires, the dictionary
  is usable also with other localizations
* Thu Aug 15 2002 kovacs@suse.de
- Adapted paths and requires to new OpenOffice.org scheme.
* Thu Jul 25 2002 kovacs@suse.de
- Updated to 0.8.6.
* Tue Jun  4 2002 egmont@suselinux.hu
- Updated to 0.8.4.
- License is GPL again.
* Thu May 30 2002 egmont@suselinux.hu
- Adapted to new package name and new directory of OpenOffice.org.
* Tue May 21 2002 egmont@suselinux.hu
- Updated to 0.8.3.
* Tue May 14 2002 egmont@suselinux.hu
- Updated to 0.8.2.
* Fri May 10 2002 egmont@suselinux.hu
- Updated to 0.8.1.
* Tue May  7 2002 egmont@suselinux.hu
- Moved OpenOffice.org files to a new subpackage.
* Tue Apr 30 2002 egmont@suselinux.hu
- Updated to 0.8.
* Wed Apr 17 2002 egmont@suselinux.hu
- Updated to 0.7.1.
* Tue Mar  5 2002 egmont@suselinux.hu
- Updated to 0.6.5.
- Removed SuSEconfig modul, not needed any more since myspell
  files will become part of mainstream OpenOffice. These files are
  still part of the package, anyway.
- Changed license from GPL to GPL/LGPL.
- Removed 'Requires: ispell' (bug #13609)
* Mon Feb  4 2002 egmont@suselinux.hu
- SuSE GmbH -> SuSE Linux AG
* Thu Jan 24 2002 egmont@suselinux.hu
- Added SuSEconfig module to configure spellcheck in OpenOffice.
* Tue Jan 22 2002 egmont@suselinux.hu
- Renamed from ihungarian to ispell-hungarian.
* Tue Jan 22 2002 egmont@suselinux.hu
- aff file for OpenOffice was not correctly built. Fixed.
* Sat Jan 12 2002 egmont@suselinux.hu
- Updated to 0.6.2.
- Compile myspell files for OpenOffice.
* Thu Jan 10 2002 egmont@suselinux.hu
- Added forgotten spellhtml and spellhtmlic.
- No longer 'noarch'.
* Thu Jan 10 2002 egmont@suselinux.hu
- Updated to 0.6, the first public release.
- Added URL.
* Tue Dec 11 2001 egmont@suselinux.hu
- Added requires and provides tags.
- Removed "-B" from magyar.el.
* Tue Dec 11 2001 egmont@suselinux.hu
- Added magyar.el for emacs.
* Mon Dec 10 2001 egmont@suselinux.hu
- Initial version: 0.5.
